Create a new skill.
post /skills
Create a new skill.
Body Parameters
-
files: array of string or stringSkill files to upload (directory upload) or a single zip file.
-
array of stringSkill files to upload (directory upload) or a single zip file.
-
stringSkill zip file to upload.
-
Returns
-
Skill object { id, created_at, default_version, 4 more }-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
Example
curl https://api.openai.com/v1/skills \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F files='["Example data"]'
Response
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}